package com.yc.ship.module.miniapplet.enums;

import com.yc.ship.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * <p>
 * member 系统，使用 1-004-000-000 段
 */
public interface ErrorCodeConstants {


    ErrorCode ADSENSE_NOT_EXISTS = new ErrorCode(30_001, "广告位不存在");

    ErrorCode ADSENSE_NOT_DELETE = new ErrorCode(30_002, "广告位已被使用，不能删除");

    ErrorCode ADSENSE_TYPE_EXCEED = new ErrorCode(30_003, "广告位类型为单图片/单视频，绑定广告超出限制");

    ErrorCode ADSENSE_CODE_EXISTS = new ErrorCode(30_004, "广告位代码已存在");

    ErrorCode ADVERT_NOT_EXISTS = new ErrorCode(40_001, "广告不存在");

    ErrorCode ADVERT_LOG_NOT_EXISTS = new ErrorCode(50_001, "广告日志不存在");

    ErrorCode PROBLEM_NOT_EXISTS = new ErrorCode(90_001, "问题不存在");

    ErrorCode PROBLEM_TYPE_NOT_EXISTS = new ErrorCode(90_002, "问题类型不存在");

    ErrorCode CATALOGUE_DETAIL_NOT_EXISTS = new ErrorCode(180_001, "栏目产品排序不存在");

    ErrorCode CATALOGUE_NOT_EXISTS = new ErrorCode(10_001, "目录不存在");

    ErrorCode CATALOGUE_BINDING = new ErrorCode(10_002, "当前数据已被绑定");

    ErrorCode CATALOGUE_BINDING_CONTENT = new ErrorCode(10_003, "目录类型已被其它内容绑定");

    ErrorCode CATALOGUE_TYPE_ERROR = new ErrorCode(10_004, "目录类型为外部链接，不能绑定内容");

    ErrorCode CATALOGUE_TYPE_EXCEED = new ErrorCode(10_005, "目录类型为内容，绑定内容超出限制");

    ErrorCode CONTENT_NOT_EXISTS = new ErrorCode(20_002, "目录内容不存在");

    ErrorCode RESOURCE_NOT_EXISTS = new ErrorCode(100_001, "资源不存在");

}
